﻿@model MonSuperMVC.Models.Form.CreateUserForm

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>CreateUserForm</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="FirstName" class="control-label"></label>
                <input asp-for="FirstName" class="form-control" />
                <span asp-validation-for="FirstName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LastName" class="control-label"></label>
                <input asp-for="LastName" class="form-control" />
                <span asp-validation-for="LastName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Username" class="control-label"></label>
                <input asp-for="Username" class="form-control" />
                <span asp-validation-for="Username" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="password" class="control-label"></label>
                <input asp-for="password" class="form-control" />
                <span asp-validation-for="password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="confirm" class="control-label"></label>
                <input asp-for="confirm" class="form-control" />
                <span asp-validation-for="confirm" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="role" class="control-label"></label>
                <select asp-for="role" asp-items="@Html.GetEnumSelectList<Role>()" class="form-control">
                </select>
                <span asp-validation-for="role" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

